subroutine trmpi_mark_active

  use trmpi
  implicit NONE

  ! mark MPI mode as active -- even if no MPI is present
  ! this is used in TRANSP "pretr" during pre-check of controls prior to
  ! launch of MPI TRANSP...

  call trmpi_check('trmpi_mark_active')

  trmpi_numprocs = max(2,trmpi_numprocs)

end subroutine trmpi_mark_active
